<section class="login-block">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div style="margin-bottom: 54px;">
                    <a [routerLink]="['/']"> <img src="assets/img/wakanow-logo.png" style="width: 180px;"></a>
                </div>
            </div>
            <div class="col-lg-5 banner-sec   d-sm-block offset-md-0 col-md-6">
                <div class="p-3">
                    <h1 class="title" style="font-weight: bold; margin-top: 30px; margin-bottom: 30px;">Earn Points On
                        Every Booking or spend with <br>Wakanow
                    </h1>
                    <p class="description" style="margin-bottom: 60px;">Wakanow rewards you with instant points every
                        time you book or spend.</p>
                    <div>
                        <a [routerLink]="['/register']" routerLinkActive="active"
                            class="w-btn w-btn-primary button-wide">REGISTER</a>
                        <a [routerLink]="['/howitworks']" routerLinkActive="active" class="w-btn button-wide">HOW IT
                            WORKS</a>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 login-sec  offset-lg-2 offset-md-0 col-md-6">
                <div class="box">
                    <div class="alert alert-danger" role="alert"
                        *ngIf="_ErrorMessages != undefined && _ErrorMessages != null && _ErrorMessages != ''">
                        <button type="button" class="btn-close float-right" data-bs-dismiss="alert"
                            aria-label="Close"></button>
                        <div>
                            {{_ErrorMessages}}
                        </div>
                    </div>
                    <div *ngIf="!redemPoints">
                        <h2 class="text-center">Check your WakaPoints </h2>
                        <div class="login-subtitle text-center">
                            Enter your Wakapoints ID (or Registered Phone number) & redeem PIN, to know your balance
                            instantly
                        </div>
                        <div class="login-form">
                            <form [formGroup]="checkWakaPointForm">
                                <div class="form-group">
                                    <label for="accountNumber" class="input-title">Wakapoints ID (or Registered Phone
                                        number) *</label>
                                    <input type="tel" id="accountNumber"
                                        (keypress)="($event.charCode >= 48 && $event.charCode < 58)" maxlength="14"
                                        class="form-control text-dark" placeholder="" formControlName="accountNumber">
                                    <span class="help-block"
                                        *ngIf="(checkWakaPointForm.get('accountNumber')?.touched || checkWakaPointForm.get('accountNumber')?.dirty) && checkWakaPointForm.get('accountNumber')?.errors">
                                        <span *ngIf="checkWakaPointForm.get('accountNumber')?.hasError('required')"
                                            class="small-text">
                                            Enter your Wakapoints ID or registered mobile number
                                        </span>
                                        <span *ngIf="checkWakaPointForm.get('accountNumber')?.hasError('pattern')"
                                            class="small-text">
                                            Enter your valid Wakapoints ID or registered mobile number
                                        </span>
                                    </span>
                                </div>
                                <div class="form-group">
                                    <label for="pin" class="input-title">Redeem PIN *</label>
                                    <ng-otp-input #ngPinInput (onInputChange)="onPinChange($event)" class="otp-input"
                                        [config]="{length:4, isPasswordInput: true , allowNumbersOnly : true , disableAutoFocus :false}">
                                    </ng-otp-input>
                                    <span class="help-block">
                                        <span *ngIf="showOtpError" class="small-text">
                                            Please enter 4 digit account / redeem pin
                                        </span>
                                    </span>
                                </div>
                                <div style="font-size: 12px;  color: #001737;    margin-bottom: 4px;">
                                    Forgot PIN?
                                </div>
                                <div style="color: #7987A1; font-size: 12px; margin-bottom: 32px;">
                                    Dial <span style="  color: #001737;">*347*100#</span> to reset your PIN or you can
                                    reset
                                    it
                                    via mobile app
                                </div>
                                <button *ngIf="!checkButtonBusy"
                                    [disabled]="!checkWakaPointForm.valid || (pin.length !== 4)" type="button"
                                    class="btn btn-login float-right" id="btnaction"
                                    (click)="checkBalance(checkWakaPointForm.value)">Check
                                    Balance</button>
                                <button type="button" *ngIf="checkButtonBusy" class="btn btn-login float-right"
                                    id="btndead" disabled>Please
                                    wait...</button>
                            </form>
                        </div>
                    </div>
                    <div *ngIf="redemPoints">
                        <h3 class="text-center"> Welcome
                            <br>
                            <span class="text-primary"> {{ userDetail.firstName }} {{
                                userDetail.lastName}}</span>
                                
                                
                        </h3>
                        <h5 class="text-center"><span class="text-primary"> ID : {{ shownWakapointId }}</span></h5>
                        <h6 class="text-center mb-4">Your Current WakaPoints Balance </h6>
                        <div class="login-form">
                            <div>
                                <div class="result-style text-center">
                                    <div>
                                        <span id="ubalance">{{ balanceResult || "0"}}</span>
                                    </div>
                                </div>
                            </div>
                            <div class="login-subtitle mt-4 text-center">
                                You can use this reward balance for purchase at <b
                                    class="text-primary text-decoration-none"><a class="text-primary" target="_blank"
                                        href="https://wakanow.com">www.wakanow.com</a></b>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <a class="w-btn w-btn-primary  text-decoration-none btn-mini full-width"
                                        type="button" (click)="backToHome()" target="_blank"
                                        href="https://www.wakanow.com">Redeem
                                        <div class="text-sm">your points</div>
                                    </a>
                                </div>
                                <div class="col-6">
                                    <a class="w-btn  text-decoration-none  btn-mini full-width btn-editprofile"
                                        type="button" [routerLink]="['/updateprofile']"
                                        routerLinkActive="router-link-active">
                                        Edit
                                        <div class="text-sm"> your profile</div>
                                    </a>
                                </div>
                            </div>
                            <div class="mt-4 mb-4">
                                <button class="btn btn-light mt-1 mb-5 text-secondary full-width"
                                    style="border-radius: 8px;" (click)="backToHome()" type="button">Close</button>
                            </div>
                        </div>
                    </div>
                    <div class="copy-text">
                        <div>
                            Powered by
                        </div>
                        <div>
                            <a target="_blank" href="https://thankucash.com"> <img src="assets/img/logo.png"
                                    width="94"></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>